Skip to main content
`Ctrl`+`K`

# DMLabelPermute

Create a new label with permuted points

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelPermute(DMLabel label, IS permutation, DMLabel *labelNew)

Not Collective

## Input Parameters

- label - the `DMLabel`

- permutation - the point permutation

## Output Parameter

- labelNew - the new label containing the permuted points

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages